gnutls_hex2bin(3)

NAME
gnutls_hex2bin - convert hex string into binary buffer.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hex2bin(const char * hex_data, size_t hex_size, char * bin_data, size_t * bin_size);

ARGUMENTS

const char * hex_data
    string with data in hex format

size_t hex_size
    size of hex data

char * bin_data
    output array with binary data

size_t * bin_size
    when calling *bin_size should hold size of bin_data, on return will hold actual size of bin_data.

DESCRIPTION
Convert a buffer with hex data to binary data.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise an error.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.